package com.epson.memcardacc;

import android.os.Bundle;

import com.epson.iprint.prtlogger.Analytics;
import com.epson.iprint.prtlogger.CommonLog;
import com.epson.iprint.prtlogger.PrintLog;

import epson.print.Util.EPLog;

public class PhotoCopyWriteProgress extends MemcardWriteProgress {
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
    }

    protected void taskCancel() {
        EPLog.i("PhotoCopyWriteProgress", "taskCancel()");
        mCopyTask.taskCancelByFileSizeZero();
    }

    protected void execCopyTask() {
        mCopyTask = new CopyTask(this, mCifsAccessStorageType, mMemcardStorageType, mImageList, mWriteFileList, mTargetFolderName, getLogData());
        mCopyTask.setCheck(true, false);
        mCopyTask.executeOnExecutor(new Void[0]);
    }

    private CommonLog getLogData() {
        CommonLog commonLog = new CommonLog();
        commonLog.numberOfSheet = 0;
        commonLog.action = PrintLog.ACTION_PHOTO_TRANSFER;
        commonLog.printerName = Analytics.getDefaultPrinterName(this);
        return commonLog;
    }
}
